Get fee earnings leaderboard
curl --request POST \
--url https://api.tokenlayer.network/functions/v1/get-leaderboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 100,
"offset": 0,
"network_mode": "both"
}
'import requests
url = "https://api.tokenlayer.network/functions/v1/get-leaderboard"
payload = {
"limit": 100,
"offset": 0,
"network_mode": "both"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 100, offset: 0, network_mode: 'both'})
};
fetch('https://api.tokenlayer.network/functions/v1/get-leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"leaderboard": [
{
"rank": 123,
"recipient_address": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"profile_picture": "<string>",
"total_earned_all_tokens": 123,
"unique_chains_count": 123,
"chain_balances": [
{
"chain": "<string>",
"balance": 123
}
]
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"has_more": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}Leaderboard & Portfolio
Get fee earnings leaderboard
Get ranked leaderboard of top earners across all tokens and chains
POST
/
get-leaderboard
Get fee earnings leaderboard
Authorizations
JWT token or API key
Body
application/json
⌘I
